[Rubygems-developers] Ignoring mswin32 gems

Chad Fowler chad at chadfowler.com
Wed Jul 5 16:43:42 EDT 2006


On Jul 5, 2006, at 2:34 PM, Morten wrote:

>
> Bump. Is this not a general problem?
>
> Morten wrote:
>> Hi.
>>
>> I have the mysql 2.7 gem installed on my Linux box:
>>
>> [root at machine ~]# gem list mysql
>>
>> *** LOCAL GEMS ***
>>
>> mysql (2.7)
>>      MySQL/Ruby provides the same functions for Ruby programs that  
>> the
>>      MySQL C API provides for C programs.
>>
>> If I do a 'gem update' however, gem picks up updates for mswin32 as
>> being more recent that my current:


Sorry...I think the issue is that this problem is actually _more_  
general than the one example here.  Our whole notion of handling  
platforms needs a lot of work.  We did the simplest thing that worked  
at the time, but I think the current state of the gem repository has  
outgrown this approach.  Try installing mongrel for an example. :)

I think we need to bump "rework platform-specific gems" onto the  
pre-1.0 list.

Chad


More information about the Rubygems-developers mailing list